## setupmeta-dmo 3.3.0

=== tests/requirements.txt ===
mock  # Won't be needed anymore when py2 support is dropped
pep440
pytest-cov
six

=== debian/changelog ===
setupmeta-dmo (3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Jun 2021 17:38:16 +0200

setupmeta-dmo (3.2.0-dmo2) unstable; urgency=medium

  * Rebuild (lost packages in unstable).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 May 2021 15:11:54 +0200

setupmeta-dmo (3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 May 2021 07:44:52 +0200

setupmeta-dmo (3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Apr 2021 08:22:33 +0200

setupmeta-dmo (3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Mar 2021 09:06:03 +0100

setupmeta-dmo (2.8.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Jan 2021 08:58:51 +0100

setupmeta-dmo (2.8.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Nov 2020 08:50:17 +0100

setupmeta-dmo (2.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Oct 2020 08:42:40 +0100

setupmeta-dmo (2.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Oct 2020 07:57:40 +0100

setupmeta-dmo (2.7.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Oct 2020 13:25:49 +0100

setupmeta-dmo (2.7.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Aug 2020 07:49:49 +0200

setupmeta-dmo (2.7.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jul 2020 19:10:28 +0200

setupmeta-dmo (2.7.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jul 2020 00:07:50 +0200

setupmeta-dmo (2.7.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Jul 2020 08:11:54 +0200

setupmeta-dmo (2.7.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Jun 2020 07:37:17 +0200

setupmeta-dmo (2.7.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Jun 2020 08:02:04 +0200

setupmeta-dmo (2.7.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 May 2020 08:40:11 +0200

setupmeta-dmo (2.7.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 May 2020 08:41:57 +0200

setupmeta-dmo (2.7.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 May 2020 00:33:21 +0200

setupmeta-dmo (2.7.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 May 2020 08:55:11 +0200

setupmeta-dmo (2.7.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 May 2020 13:14:25 +0200

setupmeta-dmo (2.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 30 Apr 2020 09:43:28 +0200

setupmeta-dmo (2.6.24-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 Mar 2020 13:54:30 +0200

setupmeta-dmo (2.6.21-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 Mar 2020 08:38:20 +0200

setupmeta-dmo (2.6.20-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Mar 2020 08:38:32 +0100

setupmeta-dmo (2.6.19-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Mar 2020 08:45:02 +0100

setupmeta-dmo (2.6.18-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Feb 2020 07:52:35 +0100

setupmeta-dmo (2.6.17-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jan 2020 09:31:45 +0100

setupmeta-dmo (2.6.15-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jan 2020 08:18:35 +0100

setupmeta-dmo (2.6.14-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Jan 2020 08:51:32 +0100

setupmeta-dmo (2.6.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Jan 2020 13:47:59 +0100

setupmeta-dmo (2.6.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Nov 2019 09:05:54 +0100

setupmeta-dmo (2.6.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Nov 2019 10:02:13 +0100

setupmeta-dmo (2.6.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2019 09:06:16 +0100

setupmeta-dmo (2.6.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Oct 2019 14:10:13 +0100



=== debian/control ===
Source: setupmeta-dmo
Section: python
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://pypi.org/project/setupmeta/
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3

Package: python3-setupmeta
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Simplify your setup.py
 Writing a setup.py typically involves lots of boilerplate and copy-pasting
 from project to project.
 .
 This package aims to simplify that and bring some DRY principle to python
 packaging.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Spybuild

override_dh_clean:
	dh_clean setupmeta.egg-info/*

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/zsimic/setupmeta/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

#https://pypi.debian.net/setupmeta/setupmeta-(.*)@ARCHIVE_EXT@

## setupmeta-dmo 3.4.0

=== tests/requirements.txt ===
mock; python_version < "3"
pep440
pytest-cov

=== tests/sample/requirements.txt ===
# -i will be ignored by setupmeta
-i https://pypi.org/pypi

# -r is followed, including multiple hops, here we'll have subfolder/sub.txt import ../req1.txt
-r subfolder/sub.txt

=== tests/scenarios/bogus/requirements.txt ===
-e /dev/null

=== tests/scenarios/disabled/requirements.txt ===
# We're not picky on what version looks like... anything (except ';') goes, whitespace around '==' doesn't matter
wheel ==  1.0-rc1#foo+^.!bla

python-mock>=5.0  # Indirect (this gets ignored for auto-fill due to 'indirect' comment)
click==7.1.2; python_version >= '3.6'  # We abstract the ==<version> part only (keep the rest)

# Unknown line formats such as [...] are ignored
[:python_version < "3.7"]  # this comment is ignored
setuptools

# URLs passed through as-is, with `-e` stripped
-e git://example.com/p1.git#egg=flake8
pytest-cov @ https://example.com/a.git@u/pp

# Folders not used for auto-fill
-e /dev/null

# Not auto-filled because local path
-e .

=== debian/changelog ===
setupmeta-dmo (3.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Jan 2023 09:18:18 +0100

setupmeta-dmo (3.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Jun 2022 08:53:44 +0200

setupmeta-dmo (3.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 May 2022 00:34:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: https://pypi.org/project/setupmeta/
+Homepage: https://github.com/codrsquad/setupmeta
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3
 
 Package: python3-setupmeta

=== debian/watch ===
version=4

https://github.com/zsimic/setupmeta/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

#https://pypi.debian.net/setupmeta/setupmeta-(.*)@ARCHIVE_EXT@

## setupmeta-dmo 3.8.0

=== tests/requirements.txt ===
packaging
pytest-cov
setuptools  # Needed by definition, as setupmeta is setuptools hook

=== debian/changelog ===
setupmeta-dmo (3.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Mar 2025 01:29:15 +0100

setupmeta-dmo (3.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Mar 2025 02:01:18 +0100

setupmeta-dmo (3.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Jan 2025 09:24:45 +0100

setupmeta-dmo (3.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Dec 2023 09:14:57 +0100

setupmeta-dmo (3.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Sep 2023 07:41:50 +0200

setupmeta-dmo (3.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Sep 2023 03:23:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/codrsquad/setupmeta
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
+ pybuild-plugin-pyproject, python3-setuptools,
 
 Package: python3-setupmeta
 Architecture: all

## setupmeta-dmo 3.9.0

=== debian/changelog ===
setupmeta-dmo (3.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Feb 2026 08:50:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: setupmeta-dmo
 Section: python
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/codrsquad/setupmeta
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
  pybuild-plugin-pyproject, python3-setuptools,
